# coding=utf-8
from celery import states

from concentrator.smev3.event_service.helpers import push_info_event
from kinder.core.async.tasks import AsyncTask


class CreateInfoEventTask(AsyncTask):
    """Задача отправляющая сообщение о событии."""

    description = u'Отправка сообщения о возникновении события'

    def run(self, order_id, event, *args, **kwargs):
        super(CreateInfoEventTask, self).run(order_id, event, *args, **kwargs)
        self.set_progress(
            progress=u'Отправка сообющения о возникновении события',
            task_state=states.STARTED,
        )

        push_info_event(order_id, event)

        self.set_progress(
            progress=u'Завершено',
            task_state=states.SUCCESS,
        )

        return self.state
